QGIS Application - Bug report #6552
WFS client: Filter Element contains incoherent XML Namespaces
2012-10-21 07:26 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15756
Description

Hi,

In the wfs client,
the filter produced using the expression builder is not valid for a ServerWFS with validation ON.

Infact it produce a fragment like this:

<Filter><PropertylsEqualTo><PropertyName>comune</PropertyName><Literal>FIRENZE</Literal></PropertylsEqual To></Filter>

sending this to a server wfs with validation on will return this exception:
Filter Element contains incoherent XML Namespaces

The right filter fragment should be this:
<Filter
xmins:wfs="http://www.opengis.net/wfs"><PropertylsEqualTo><PropertyName>comune</PropertyName><Literal>FIRENZE</Literal></P|

ropertylsEqualTo></Filter>

s0 is missing the attribute:
xmins:wfs="http://www.opengis.net/wfs"

Regards,

roperty

Related issues:
Related to QGIS Application - Bug report # 13065: WFS 1.0.0 Client requests w... Closed 2015-07-02

History

#1 - 2012-10-22 03:52 AM - aperi2007 -

Hi,

| discovered onlynow that the qgis wfs client is a 1.0.0 client.
(see ticket #6551).

So perhaps the validation of a WFS server 1.0 don't need the attribute

xmins:wfs="http://www.opengis.net/wfs" ?

I don't know, my server wfs is 1.1.0 only and so | cannot test this.

Please, who know this can close eventually this ticket ?
#2 - 2015-12-22 07:30 AM - Médéric RIBREUX
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

this is fixed in QGIS 2.13 master (and probably in previous versions). Now, the filter request uses the good namespace (http://www.opengis.net/ogc).

QGIS still have a problem with WF'S filters but is covered in another bug. So | am closing this one !
